package codecs

var (

	// 4X Movie
	Codec_4XM = "4xm"

	// QuickTime 8BPS video
	Codec_8BPS = "8bps"

	// Multicolor charset for Commodore 64 (encoders: a64multi )
	Codec_A64_MULTI = "a64_multi"

	// Multicolor charset for Commodore 64, extended with 5th color (colram) (encoders: a64multi5 )
	Codec_A64_MULTI5 = "a64_multi5"

	// Autodesk RLE
	Codec_AASC = "aasc"

	// Apple Intermediate Codec
	Codec_AIC = "aic"

	// Alias/Wavefront PIX image
	Codec_ALIAS_PIX = "alias_pix"

	// AMV Video
	Codec_AMV = "amv"

	// Deluxe Paint Animation
	Codec_ANM = "anm"

	// ASCII/ANSI art
	Codec_ANSI = "ansi"

	// APNG (Animated Portable Network Graphics) image
	Codec_APNG = "apng"

	// ASUS V1
	Codec_ASV1 = "asv1"

	// ASUS V2
	Codec_ASV2 = "asv2"

	// Auravision AURA
	Codec_AURA = "aura"

	// Auravision Aura 2
	Codec_AURA2 = "aura2"

	// Alliance for Open Media AV1
	Codec_AV1 = "av1"

	// Avid AVI Codec
	Codec_AVRN = "avrn"

	// Avid 1:1 10-bit RGB Packer
	Codec_AVRP = "avrp"

	// AVS (Audio Video Standard) video
	Codec_AVS = "avs"

	// Avid Meridien Uncompressed
	Codec_AVUI = "avui"

	// Uncompressed packed MS 4:4:4:4
	Codec_AYUV = "ayuv"

	// Bethesda VID video
	Codec_BETHSOFTVID = "bethsoftvid"

	// Brute Force & Ignorance
	Codec_BFI = "bfi"

	// Bink video
	Codec_BINKVIDEO = "binkvideo"

	// Binary text
	Codec_BINTEXT = "bintext"

	// Bitpacked
	Codec_BITPACKED = "bitpacked"

	// BMP (Windows and OS/2 bitmap)
	Codec_BMP = "bmp"

	// Discworld II BMV video
	Codec_BMV_VIDEO = "bmv_video"

	// BRender PIX image
	Codec_BRENDER_PIX = "brender_pix"

	// Interplay C93
	Codec_C93 = "c93"

	// Chinese AVS (Audio Video Standard) (AVS1-P2, JiZhun profile)
	Codec_CAVS = "cavs"

	// CD Graphics video
	Codec_CDGRAPHICS = "cdgraphics"

	// Commodore CDXL video
	Codec_CDXL = "cdxl"

	// Cineform HD
	Codec_CFHD = "cfhd"

	// Cinepak
	Codec_CINEPAK = "cinepak"

	// Iterated Systems ClearVideo
	Codec_CLEARVIDEO = "clearvideo"

	// Cirrus Logic AccuPak
	Codec_CLJR = "cljr"

	// Canopus Lossless Codec
	Codec_CLLC = "cllc"

	// Electronic Arts CMV video (decoders: eacmv )
	Codec_CMV = "cmv"

	// CPiA video format
	Codec_CPIA = "cpia"

	// CamStudio (decoders: camstudio )
	Codec_CSCD = "cscd"

	// Creative YUV (CYUV)
	Codec_CYUV = "cyuv"

	// Daala
	Codec_DAALA = "daala"

	// DirectDraw Surface image decoder
	Codec_DDS = "dds"

	// Chronomaster DFA
	Codec_DFA = "dfa"

	// Dirac (encoders: vc2 )
	Codec_DIRAC = "dirac"

	// VC3/DNxHD
	Codec_DNXHD = "dnxhd"

	// DPX (Digital Picture Exchange) image
	Codec_DPX = "dpx"

	// Delphine Software International CIN video
	Codec_DSICINVIDEO = "dsicinvideo"

	// DV (Digital Video)
	Codec_DVVIDEO = "dvvideo"

	// Feeble Files/ScummVM DXA
	Codec_DXA = "dxa"

	// Dxtory
	Codec_DXTORY = "dxtory"

	// Resolume DXV
	Codec_DXV = "dxv"

	// Escape 124
	Codec_ESCAPE124 = "escape124"

	// Escape 130
	Codec_ESCAPE130 = "escape130"

	// OpenEXR image
	Codec_EXR = "exr"

	// FFmpeg video codec #1
	Codec_FFV1 = "ffv1"

	// Huffyuv FFmpeg variant
	Codec_FFVHUFF = "ffvhuff"

	// Mirillis FIC
	Codec_FIC = "fic"

	// FITS (Flexible Image Transport System)
	Codec_FITS = "fits"

	// Flash Screen Video v1
	Codec_FLASHSV = "flashsv"

	// Flash Screen Video v2
	Codec_FLASHSV2 = "flashsv2"

	// Autodesk Animator Flic video
	Codec_FLIC = "flic"

	// FLV / Sorenson Spark / Sorenson H.263 (Flash Video) (decoders: flv ) (encoders: flv )
	Codec_FLV1 = "flv1"

	// FM Screen Capture Codec
	Codec_FMVC = "fmvc"

	// Fraps
	Codec_FRAPS = "fraps"

	// Forward Uncompressed
	Codec_FRWU = "frwu"

	// Go2Meeting
	Codec_G2M = "g2m"

	// Gremlin Digital Video
	Codec_GDV = "gdv"

	// GIF (Graphics Interchange Format)
	Codec_GIF = "gif"

	// H.261
	Codec_H261 = "h261"

	// H.263 / H.263-1996, H.263+ / H.263-1998 / H.263 version 2
	Codec_H263 = "h263"

	// Intel H.263
	Codec_H263I = "h263i"

	// H.263+ / H.263-1998 / H.263 version 2
	Codec_H263P = "h263p"

	// H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10 (decoders: h264 h264_qsv h264_cuvid ) (encoders: libx264 libx264rgb h264_amf h264_nvenc h264_qsv nvenc nvenc_h264 )
	Codec_H264 = "h264"

	// Vidvox Hap
	Codec_HAP = "hap"

	// H.265 / HEVC (High Efficiency Video Coding) (decoders: hevc hevc_qsv hevc_cuvid ) (encoders: libx265 nvenc_hevc hevc_amf hevc_nvenc hevc_qsv )
	Codec_HEVC = "hevc"

	// HNM 4 video
	Codec_HNM4VIDEO = "hnm4video"

	// Canopus HQ/HQA
	Codec_HQ_HQA = "hq_hqa"

	// Canopus HQX
	Codec_HQX = "hqx"

	// HuffYUV
	Codec_HUFFYUV = "huffyuv"

	// id Quake II CIN video (decoders: idcinvideo )
	Codec_IDCIN = "idcin"

	// iCEDraw text
	Codec_IDF = "idf"

	// IFF ACBM/ANIM/DEEP/ILBM/PBM/RGB8/RGBN (decoders: iff )
	Codec_IFF_ILBM = "iff_ilbm"

	// Intel Indeo 2
	Codec_INDEO2 = "indeo2"

	// Intel Indeo 3
	Codec_INDEO3 = "indeo3"

	// Intel Indeo Video Interactive 4
	Codec_INDEO4 = "indeo4"

	// Intel Indeo Video Interactive 5
	Codec_INDEO5 = "indeo5"

	// Interplay MVE video
	Codec_INTERPLAYVIDEO = "interplayvideo"

	// JPEG 2000 (decoders: jpeg2000 libopenjpeg ) (encoders: jpeg2000 libopenjpeg )
	Codec_JPEG2000 = "jpeg2000"

	// JPEG-LS
	Codec_JPEGLS = "jpegls"

	// Bitmap Brothers JV video
	Codec_JV = "jv"

	// Kega Game Video
	Codec_KGV1 = "kgv1"

	// Karl Morton's video codec
	Codec_KMVC = "kmvc"

	// Lagarith lossless
	Codec_LAGARITH = "lagarith"

	// Lossless JPEG
	Codec_LJPEG = "ljpeg"

	// LOCO
	Codec_LOCO = "loco"

	// Matrox Uncompressed SD
	Codec_M101 = "m101"

	// Electronic Arts Madcow Video (decoders: eamad )
	Codec_MAD = "mad"

	// MagicYUV video
	Codec_MAGICYUV = "magicyuv"

	// Sony PlayStation MDEC (Motion DECoder)
	Codec_MDEC = "mdec"

	// Mimic
	Codec_MIMIC = "mimic"

	// Motion JPEG (decoders: mjpeg mjpeg_cuvid ) (encoders: mjpeg mjpeg_qsv )
	Codec_MJPEG = "mjpeg"

	// Apple MJPEG-B
	Codec_MJPEGB = "mjpegb"

	// American Laser Games MM Video
	Codec_MMVIDEO = "mmvideo"

	// Motion Pixels video
	Codec_MOTIONPIXELS = "motionpixels"

	// MPEG-1 video (decoders: mpeg1video mpeg1_cuvid )
	Codec_MPEG1VIDEO = "mpeg1video"

	// MPEG-2 video (decoders: mpeg2video mpegvideo mpeg2_qsv mpeg2_cuvid ) (encoders: mpeg2video mpeg2_qsv )
	Codec_MPEG2VIDEO = "mpeg2video"

	// MPEG-4 part 2 (decoders: mpeg4 mpeg4_cuvid )
	Codec_MPEG4 = "mpeg4"

	// MS ATC Screen
	Codec_MSA1 = "msa1"

	// Mandsoft Screen Capture Codec
	Codec_MSCC = "mscc"

	// MPEG-4 part 2 Microsoft variant version 1
	Codec_MSMPEG4V1 = "msmpeg4v1"

	// MPEG-4 part 2 Microsoft variant version 2
	Codec_MSMPEG4V2 = "msmpeg4v2"

	// MPEG-4 part 2 Microsoft variant version 3 (decoders: msmpeg4 ) (encoders: msmpeg4 )
	Codec_MSMPEG4V3 = "msmpeg4v3"

	// Microsoft RLE
	Codec_MSRLE = "msrle"

	// MS Screen 1
	Codec_MSS1 = "mss1"

	// MS Windows Media Video V9 Screen
	Codec_MSS2 = "mss2"

	// Microsoft Video 1
	Codec_MSVIDEO1 = "msvideo1"

	// LCL (LossLess Codec Library) MSZH
	Codec_MSZH = "mszh"

	// MS Expression Encoder Screen
	Codec_MTS2 = "mts2"

	// Silicon Graphics Motion Video Compressor 1
	Codec_MVC1 = "mvc1"

	// Silicon Graphics Motion Video Compressor 2
	Codec_MVC2 = "mvc2"

	// Mobotix MxPEG video
	Codec_MXPEG = "mxpeg"

	// NuppelVideo/RTJPEG
	Codec_NUV = "nuv"

	// Amazing Studio Packed Animation File Video
	Codec_PAF_VIDEO = "paf_video"

	// PAM (Portable AnyMap) image
	Codec_PAM = "pam"

	// PBM (Portable BitMap) image
	Codec_PBM = "pbm"

	// PC Paintbrush PCX image
	Codec_PCX = "pcx"

	// PGM (Portable GrayMap) image
	Codec_PGM = "pgm"

	// PGMYUV (Portable GrayMap YUV) image
	Codec_PGMYUV = "pgmyuv"

	// Pictor/PC Paint
	Codec_PICTOR = "pictor"

	// Apple Pixlet
	Codec_PIXLET = "pixlet"

	// PNG (Portable Network Graphics) image
	Codec_PNG = "png"

	// PPM (Portable PixelMap) image
	Codec_PPM = "ppm"

	// Apple ProRes (iCodec Pro) (decoders: prores prores_lgpl ) (encoders: prores prores_aw prores_ks )
	Codec_PRORES = "prores"

	// Photoshop PSD file
	Codec_PSD = "psd"

	// V.Flash PTX image
	Codec_PTX = "ptx"

	// Apple QuickDraw
	Codec_QDRAW = "qdraw"

	// Q-team QPEG
	Codec_QPEG = "qpeg"

	// QuickTime Animation (RLE) video
	Codec_QTRLE = "qtrle"

	// AJA Kona 10-bit RGB Codec
	Codec_R10K = "r10k"

	// Uncompressed RGB 10-bit
	Codec_R210 = "r210"

	// raw video
	Codec_RAWVIDEO = "rawvideo"

	// RL2 video
	Codec_RL2 = "rl2"

	// id RoQ video (decoders: roqvideo ) (encoders: roqvideo )
	Codec_ROQ = "roq"

	// QuickTime video (RPZA)
	Codec_RPZA = "rpza"

	// innoHeim/Rsupport Screen Capture Codec
	Codec_RSCC = "rscc"

	// RealVideo 1.0
	Codec_RV10 = "rv10"

	// RealVideo 2.0
	Codec_RV20 = "rv20"

	// RealVideo 3.0
	Codec_RV30 = "rv30"

	// RealVideo 4.0
	Codec_RV40 = "rv40"

	// LucasArts SANM/SMUSH video
	Codec_SANM = "sanm"

	// ScreenPressor
	Codec_SCPR = "scpr"

	// Screenpresso
	Codec_SCREENPRESSO = "screenpresso"

	// SGI image
	Codec_SGI = "sgi"

	// SGI RLE 8-bit
	Codec_SGIRLE = "sgirle"

	// BitJazz SheerVideo
	Codec_SHEERVIDEO = "sheervideo"

	// Smacker video (decoders: smackvid )
	Codec_SMACKVIDEO = "smackvideo"

	// QuickTime Graphics (SMC)
	Codec_SMC = "smc"

	// Sigmatel Motion Video
	Codec_SMVJPEG = "smvjpeg"

	// Snow
	Codec_SNOW = "snow"

	// Sunplus JPEG (SP5X)
	Codec_SP5X = "sp5x"

	// NewTek SpeedHQ
	Codec_SPEEDHQ = "speedhq"

	// Screen Recorder Gold Codec
	Codec_SRGC = "srgc"

	// Sun Rasterfile image
	Codec_SUNRAST = "sunrast"

	// Scalable Vector Graphics
	Codec_SVG = "svg"

	// Sorenson Vector Quantizer 1 / Sorenson Video 1 / SVQ1
	Codec_SVQ1 = "svq1"

	// Sorenson Vector Quantizer 3 / Sorenson Video 3 / SVQ3
	Codec_SVQ3 = "svq3"

	// Truevision Targa image
	Codec_TARGA = "targa"

	// Pinnacle TARGA CineWave YUV16
	Codec_TARGA_Y216 = "targa_y216"

	// TDSC
	Codec_TDSC = "tdsc"

	// Electronic Arts TGQ video (decoders: eatgq )
	Codec_TGQ = "tgq"

	// Electronic Arts TGV video (decoders: eatgv )
	Codec_TGV = "tgv"

	// Theora (encoders: libtheora )
	Codec_THEORA = "theora"

	// Nintendo Gamecube THP video
	Codec_THP = "thp"

	// Tiertex Limited SEQ video
	Codec_TIERTEXSEQVIDEO = "tiertexseqvideo"

	// TIFF image
	Codec_TIFF = "tiff"

	// 8088flex TMV
	Codec_TMV = "tmv"

	// Electronic Arts TQI video (decoders: eatqi )
	Codec_TQI = "tqi"

	// Duck TrueMotion 1.0
	Codec_TRUEMOTION1 = "truemotion1"

	// Duck TrueMotion 2.0
	Codec_TRUEMOTION2 = "truemotion2"

	// Duck TrueMotion 2.0 Real Time
	Codec_TRUEMOTION2RT = "truemotion2rt"

	// TechSmith Screen Capture Codec (decoders: camtasia )
	Codec_TSCC = "tscc"

	// TechSmith Screen Codec 2
	Codec_TSCC2 = "tscc2"

	// Renderware TXD (TeXture Dictionary) image
	Codec_TXD = "txd"

	// IBM UltiMotion (decoders: ultimotion )
	Codec_ULTI = "ulti"

	// Ut Video
	Codec_UTVIDEO = "utvideo"

	// Uncompressed 4:2:2 10-bit
	Codec_V210 = "v210"

	// Uncompressed 4:2:2 10-bit
	Codec_V210X = "v210x"

	// Uncompressed packed 4:4:4
	Codec_V308 = "v308"

	// Uncompressed packed QT 4:4:4:4
	Codec_V408 = "v408"

	// Uncompressed 4:4:4 10-bit
	Codec_V410 = "v410"

	// Beam Software VB
	Codec_VB = "vb"

	// VBLE Lossless Codec
	Codec_VBLE = "vble"

	// SMPTE VC-1 (decoders: vc1 vc1_qsv vc1_cuvid )
	Codec_VC1 = "vc1"

	// Windows Media Video 9 Image v2
	Codec_VC1IMAGE = "vc1image"

	// ATI VCR1
	Codec_VCR1 = "vcr1"

	// Miro VideoXL (decoders: xl )
	Codec_VIXL = "vixl"

	// Sierra VMD video
	Codec_VMDVIDEO = "vmdvideo"

	// VMware Screen Codec / VMware Video
	Codec_VMNC = "vmnc"

	// On2 VP3
	Codec_VP3 = "vp3"

	// On2 VP5
	Codec_VP5 = "vp5"

	// On2 VP6
	Codec_VP6 = "vp6"

	// On2 VP6 (Flash version, with alpha channel)
	Codec_VP6A = "vp6a"

	// On2 VP6 (Flash version)
	Codec_VP6F = "vp6f"

	// On2 VP7
	Codec_VP7 = "vp7"

	// On2 VP8 (decoders: vp8 libvpx vp8_cuvid vp8_qsv ) (encoders: libvpx )
	Codec_VP8 = "vp8"

	// Google VP9 (decoders: vp9 libvpx-vp9 vp9_cuvid ) (encoders: libvpx-vp9 )
	Codec_VP9 = "vp9"

	// WebP (encoders: libwebp )
	Codec_WEBP = "webp"

	// Windows Media Video 7
	Codec_WMV1 = "wmv1"

	// Windows Media Video 8
	Codec_WMV2 = "wmv2"

	// Windows Media Video 9
	Codec_WMV3 = "wmv3"

	// Windows Media Video 9 Image
	Codec_WMV3IMAGE = "wmv3image"

	// Winnov WNV1
	Codec_WNV1 = "wnv1"

	// AVFrame to AVPacket passthrough
	Codec_WRAPPED_AVFRAME = "wrapped_avframe"

	// Westwood Studios VQA (Vector Quantized Animation) video (decoders: vqavideo )
	Codec_WS_VQA = "ws_vqa"

	// Wing Commander III / Xan
	Codec_XAN_WC3 = "xan_wc3"

	// Wing Commander IV / Xxan
	Codec_XAN_WC4 = "xan_wc4"

	// eXtended BINary text
	Codec_XBIN = "xbin"

	// XBM (X BitMap) image
	Codec_XBM = "xbm"

	// X-face image
	Codec_XFACE = "xface"

	// XPM (X PixMap) image
	Codec_XPM = "xpm"

	// XWD (X Window Dump) image
	Codec_XWD = "xwd"

	// Uncompressed YUV 4:1:1 12-bit
	Codec_Y41P = "y41p"

	// YUY2 Lossless Codec
	Codec_YLC = "ylc"

	// Psygnosis YOP Video
	Codec_YOP = "yop"

	// Uncompressed packed 4:2:0
	Codec_YUV4 = "yuv4"

	// ZeroCodec Lossless Video
	Codec_ZEROCODEC = "zerocodec"

	// LCL (LossLess Codec Library) ZLIB
	Codec_ZLIB = "zlib"

	// Zip Motion Blocks Video
	Codec_ZMBV = "zmbv"

	// 4GV (Fourth Generation Vocoder)
	Codec_4GV = "4gv"

	// 8SVX exponential
	Codec_8SVX_EXP = "8svx_exp"

	// 8SVX fibonacci
	Codec_8SVX_FIB = "8svx_fib"

	// AAC (Advanced Audio Coding) (decoders: aac aac_fixed )
	Codec_AAC = "aac"

	// AAC LATM (Advanced Audio Coding LATM syntax)
	Codec_AAC_LATM = "aac_latm"

	// ATSC A/52A (AC-3) (decoders: ac3 ac3_fixed ) (encoders: ac3 ac3_fixed )
	Codec_AC3 = "ac3"

	// ADPCM 4X Movie
	Codec_ADPCM_4XM = "adpcm_4xm"

	// SEGA CRI ADX ADPCM
	Codec_ADPCM_ADX = "adpcm_adx"

	// ADPCM Nintendo Gamecube AFC
	Codec_ADPCM_AFC = "adpcm_afc"

	// ADPCM Yamaha AICA
	Codec_ADPCM_AICA = "adpcm_aica"

	// ADPCM Creative Technology
	Codec_ADPCM_CT = "adpcm_ct"

	// ADPCM Nintendo Gamecube DTK
	Codec_ADPCM_DTK = "adpcm_dtk"

	// ADPCM Electronic Arts
	Codec_ADPCM_EA = "adpcm_ea"

	// ADPCM Electronic Arts Maxis CDROM XA
	Codec_ADPCM_EA_MAXIS_XA = "adpcm_ea_maxis_xa"

	// ADPCM Electronic Arts R1
	Codec_ADPCM_EA_R1 = "adpcm_ea_r1"

	// ADPCM Electronic Arts R2
	Codec_ADPCM_EA_R2 = "adpcm_ea_r2"

	// ADPCM Electronic Arts R3
	Codec_ADPCM_EA_R3 = "adpcm_ea_r3"

	// ADPCM Electronic Arts XAS
	Codec_ADPCM_EA_XAS = "adpcm_ea_xas"

	// G.722 ADPCM (decoders: g722 ) (encoders: g722 )
	Codec_ADPCM_G722 = "adpcm_g722"

	// G.726 ADPCM (decoders: g726 ) (encoders: g726 )
	Codec_ADPCM_G726 = "adpcm_g726"

	// G.726 ADPCM little-endian (decoders: g726le ) (encoders: g726le )
	Codec_ADPCM_G726LE = "adpcm_g726le"

	// ADPCM IMA AMV
	Codec_ADPCM_IMA_AMV = "adpcm_ima_amv"

	// ADPCM IMA CRYO APC
	Codec_ADPCM_IMA_APC = "adpcm_ima_apc"

	// ADPCM IMA Eurocom DAT4
	Codec_ADPCM_IMA_DAT4 = "adpcm_ima_dat4"

	// ADPCM IMA Duck DK3
	Codec_ADPCM_IMA_DK3 = "adpcm_ima_dk3"

	// ADPCM IMA Duck DK4
	Codec_ADPCM_IMA_DK4 = "adpcm_ima_dk4"

	// ADPCM IMA Electronic Arts EACS
	Codec_ADPCM_IMA_EA_EACS = "adpcm_ima_ea_eacs"

	// ADPCM IMA Electronic Arts SEAD
	Codec_ADPCM_IMA_EA_SEAD = "adpcm_ima_ea_sead"

	// ADPCM IMA Funcom ISS
	Codec_ADPCM_IMA_ISS = "adpcm_ima_iss"

	// ADPCM IMA Dialogic OKI
	Codec_ADPCM_IMA_OKI = "adpcm_ima_oki"

	// ADPCM IMA QuickTime
	Codec_ADPCM_IMA_QT = "adpcm_ima_qt"

	// ADPCM IMA Radical
	Codec_ADPCM_IMA_RAD = "adpcm_ima_rad"

	// ADPCM IMA Loki SDL MJPEG
	Codec_ADPCM_IMA_SMJPEG = "adpcm_ima_smjpeg"

	// ADPCM IMA WAV
	Codec_ADPCM_IMA_WAV = "adpcm_ima_wav"

	// ADPCM IMA Westwood
	Codec_ADPCM_IMA_WS = "adpcm_ima_ws"

	// ADPCM Microsoft
	Codec_ADPCM_MS = "adpcm_ms"

	// ADPCM MTAF
	Codec_ADPCM_MTAF = "adpcm_mtaf"

	// ADPCM Playstation
	Codec_ADPCM_PSX = "adpcm_psx"

	// ADPCM Sound Blaster Pro 2-bit
	Codec_ADPCM_SBPRO_2 = "adpcm_sbpro_2"

	// ADPCM Sound Blaster Pro 2.6-bit
	Codec_ADPCM_SBPRO_3 = "adpcm_sbpro_3"

	// ADPCM Sound Blaster Pro 4-bit
	Codec_ADPCM_SBPRO_4 = "adpcm_sbpro_4"

	// ADPCM Shockwave Flash
	Codec_ADPCM_SWF = "adpcm_swf"

	// ADPCM Nintendo THP
	Codec_ADPCM_THP = "adpcm_thp"

	// ADPCM Nintendo THP (Little-Endian)
	Codec_ADPCM_THP_LE = "adpcm_thp_le"

	// LucasArts VIMA audio
	Codec_ADPCM_VIMA = "adpcm_vima"

	// ADPCM CDROM XA
	Codec_ADPCM_XA = "adpcm_xa"

	// ADPCM Yamaha
	Codec_ADPCM_YAMAHA = "adpcm_yamaha"

	// ALAC (Apple Lossless Audio Codec)
	Codec_ALAC = "alac"

	// AMR-NB (Adaptive Multi-Rate NarrowBand) (decoders: amrnb libopencore_amrnb ) (encoders: libopencore_amrnb )
	Codec_AMR_NB = "amr_nb"

	// AMR-WB (Adaptive Multi-Rate WideBand) (decoders: amrwb libopencore_amrwb ) (encoders: libvo_amrwbenc )
	Codec_AMR_WB = "amr_wb"

	// Monkey's Audio
	Codec_APE = "ape"

	// aptX (Audio Processing Technology for Bluetooth)
	Codec_APTX = "aptx"

	// ATRAC1 (Adaptive TRansform Acoustic Coding)
	Codec_ATRAC1 = "atrac1"

	// ATRAC3 (Adaptive TRansform Acoustic Coding 3)
	Codec_ATRAC3 = "atrac3"

	// ATRAC3 AL (Adaptive TRansform Acoustic Coding 3 Advanced Lossless)
	Codec_ATRAC3AL = "atrac3al"

	// ATRAC3+ (Adaptive TRansform Acoustic Coding 3+) (decoders: atrac3plus )
	Codec_ATRAC3P = "atrac3p"

	// ATRAC3+ AL (Adaptive TRansform Acoustic Coding 3+ Advanced Lossless) (decoders: atrac3plusal )
	Codec_ATRAC3PAL = "atrac3pal"

	// On2 Audio for Video Codec (decoders: on2avc )
	Codec_AVC = "avc"

	// Bink Audio (DCT)
	Codec_BINKAUDIO_DCT = "binkaudio_dct"

	// Bink Audio (RDFT)
	Codec_BINKAUDIO_RDFT = "binkaudio_rdft"

	// Discworld II BMV audio
	Codec_BMV_AUDIO = "bmv_audio"

	// Constrained Energy Lapped Transform (CELT)
	Codec_CELT = "celt"

	// RFC 3389 Comfort Noise
	Codec_COMFORTNOISE = "comfortnoise"

	// Cook / Cooker / Gecko (RealAudio G2)
	Codec_COOK = "cook"

	// Dolby E
	Codec_DOLBY_E = "dolby_e"

	// DSD (Direct Stream Digital), least significant bit first
	Codec_DSD_LSBF = "dsd_lsbf"

	// DSD (Direct Stream Digital), least significant bit first, planar
	Codec_DSD_LSBF_PLANAR = "dsd_lsbf_planar"

	// DSD (Direct Stream Digital), most significant bit first
	Codec_DSD_MSBF = "dsd_msbf"

	// DSD (Direct Stream Digital), most significant bit first, planar
	Codec_DSD_MSBF_PLANAR = "dsd_msbf_planar"

	// Delphine Software International CIN audio
	Codec_DSICINAUDIO = "dsicinaudio"

	// Digital Speech Standard - Standard Play mode (DSS SP)
	Codec_DSS_SP = "dss_sp"

	// DST (Direct Stream Transfer)
	Codec_DST = "dst"

	// DCA (DTS Coherent Acoustics) (decoders: dca ) (encoders: dca )
	Codec_DTS = "dts"

	// DV audio
	Codec_DVAUDIO = "dvaudio"

	// ATSC A/52B (AC-3, E-AC-3)
	Codec_EAC3 = "eac3"

	// EVRC (Enhanced Variable Rate Codec)
	Codec_EVRC = "evrc"

	// FLAC (Free Lossless Audio Codec)
	Codec_FLAC = "flac"

	// G.723.1
	Codec_G723_1 = "g723_1"

	// G.729
	Codec_G729 = "g729"

	// DPCM Gremlin
	Codec_GREMLIN_DPCM = "gremlin_dpcm"

	// GSM
	Codec_GSM = "gsm"

	// GSM Microsoft variant
	Codec_GSM_MS = "gsm_ms"

	// IAC (Indeo Audio Coder)
	Codec_IAC = "iac"

	// iLBC (Internet Low Bitrate Codec)
	Codec_ILBC = "ilbc"

	// IMC (Intel Music Coder)
	Codec_IMC = "imc"

	// DPCM Interplay
	Codec_INTERPLAY_DPCM = "interplay_dpcm"

	// Interplay ACM
	Codec_INTERPLAYACM = "interplayacm"

	// MACE (Macintosh Audio Compression/Expansion) 3:1
	Codec_MACE3 = "mace3"

	// MACE (Macintosh Audio Compression/Expansion) 6:1
	Codec_MACE6 = "mace6"

	// Voxware MetaSound
	Codec_METASOUND = "metasound"

	// MLP (Meridian Lossless Packing)
	Codec_MLP = "mlp"

	// MP1 (MPEG audio layer 1) (decoders: mp1 mp1float )
	Codec_MP1 = "mp1"

	// MP2 (MPEG audio layer 2) (decoders: mp2 mp2float ) (encoders: mp2 mp2fixed libtwolame )
	Codec_MP2 = "mp2"

	// MP3 (MPEG audio layer 3) (decoders: mp3 mp3float ) (encoders: libmp3lame libshine )
	Codec_MP3 = "mp3"

	// ADU (Application Data Unit) MP3 (MPEG audio layer 3) (decoders: mp3adu mp3adufloat )
	Codec_MP3ADU = "mp3adu"

	// MP3onMP4 (decoders: mp3on4 mp3on4float )
	Codec_MP3ON4 = "mp3on4"

	// MPEG-4 Audio Lossless Coding (ALS) (decoders: als )
	Codec_MP4ALS = "mp4als"

	// Musepack SV7 (decoders: mpc7 )
	Codec_MUSEPACK7 = "musepack7"

	// Musepack SV8 (decoders: mpc8 )
	Codec_MUSEPACK8 = "musepack8"

	// Nellymoser Asao
	Codec_NELLYMOSER = "nellymoser"

	// Opus (Opus Interactive Audio Codec) (decoders: opus libopus ) (encoders: opus libopus )
	Codec_OPUS = "opus"

	// Amazing Studio Packed Animation File Audio
	Codec_PAF_AUDIO = "paf_audio"

	// PCM A-law / G.711 A-law
	Codec_PCM_ALAW = "pcm_alaw"

	// PCM signed 16|20|24-bit big-endian for Blu-ray media
	Codec_PCM_BLURAY = "pcm_bluray"

	// PCM signed 20|24-bit big-endian
	Codec_PCM_DVD = "pcm_dvd"

	// PCM 16.8 floating point little-endian
	Codec_PCM_F16LE = "pcm_f16le"

	// PCM 24.0 floating point little-endian
	Codec_PCM_F24LE = "pcm_f24le"

	// PCM 32-bit floating point big-endian
	Codec_PCM_F32BE = "pcm_f32be"

	// PCM 32-bit floating point little-endian
	Codec_PCM_F32LE = "pcm_f32le"

	// PCM 64-bit floating point big-endian
	Codec_PCM_F64BE = "pcm_f64be"

	// PCM 64-bit floating point little-endian
	Codec_PCM_F64LE = "pcm_f64le"

	// PCM signed 20-bit little-endian planar
	Codec_PCM_LXF = "pcm_lxf"

	// PCM mu-law / G.711 mu-law
	Codec_PCM_MULAW = "pcm_mulaw"

	// PCM signed 16-bit big-endian
	Codec_PCM_S16BE = "pcm_s16be"

	// PCM signed 16-bit big-endian planar
	Codec_PCM_S16BE_PLANAR = "pcm_s16be_planar"

	// PCM signed 16-bit little-endian
	Codec_PCM_S16LE = "pcm_s16le"

	// PCM signed 16-bit little-endian planar
	Codec_PCM_S16LE_PLANAR = "pcm_s16le_planar"

	// PCM signed 24-bit big-endian
	Codec_PCM_S24BE = "pcm_s24be"

	// PCM D-Cinema audio signed 24-bit
	Codec_PCM_S24DAUD = "pcm_s24daud"

	// PCM signed 24-bit little-endian
	Codec_PCM_S24LE = "pcm_s24le"

	// PCM signed 24-bit little-endian planar
	Codec_PCM_S24LE_PLANAR = "pcm_s24le_planar"

	// PCM signed 32-bit big-endian
	Codec_PCM_S32BE = "pcm_s32be"

	// PCM signed 32-bit little-endian
	Codec_PCM_S32LE = "pcm_s32le"

	// PCM signed 32-bit little-endian planar
	Codec_PCM_S32LE_PLANAR = "pcm_s32le_planar"

	// PCM signed 64-bit big-endian
	Codec_PCM_S64BE = "pcm_s64be"

	// PCM signed 64-bit little-endian
	Codec_PCM_S64LE = "pcm_s64le"

	// PCM signed 8-bit
	Codec_PCM_S8 = "pcm_s8"

	// PCM signed 8-bit planar
	Codec_PCM_S8_PLANAR = "pcm_s8_planar"

	// PCM unsigned 16-bit big-endian
	Codec_PCM_U16BE = "pcm_u16be"

	// PCM unsigned 16-bit little-endian
	Codec_PCM_U16LE = "pcm_u16le"

	// PCM unsigned 24-bit big-endian
	Codec_PCM_U24BE = "pcm_u24be"

	// PCM unsigned 24-bit little-endian
	Codec_PCM_U24LE = "pcm_u24le"

	// PCM unsigned 32-bit big-endian
	Codec_PCM_U32BE = "pcm_u32be"

	// PCM unsigned 32-bit little-endian
	Codec_PCM_U32LE = "pcm_u32le"

	// PCM unsigned 8-bit
	Codec_PCM_U8 = "pcm_u8"

	// PCM Zork
	Codec_PCM_ZORK = "pcm_zork"

	// QCELP / PureVoice
	Codec_QCELP = "qcelp"

	// QDesign Music Codec 2
	Codec_QDM2 = "qdm2"

	// QDesign Music
	Codec_QDMC = "qdmc"

	// RealAudio 1.0 (14.4K) (decoders: real_144 ) (encoders: real_144 )
	Codec_RA_144 = "ra_144"

	// RealAudio 2.0 (28.8K) (decoders: real_288 )
	Codec_RA_288 = "ra_288"

	// RealAudio Lossless
	Codec_RALF = "ralf"

	// DPCM id RoQ
	Codec_ROQ_DPCM = "roq_dpcm"

	// SMPTE 302M
	Codec_S302M = "s302m"

	// DPCM Squareroot-Delta-Exact
	Codec_SDX2_DPCM = "sdx2_dpcm"

	// Shorten
	Codec_SHORTEN = "shorten"

	// RealAudio SIPR / ACELP.NET
	Codec_SIPR = "sipr"

	// Smacker audio (decoders: smackaud )
	Codec_SMACKAUDIO = "smackaudio"

	// SMV (Selectable Mode Vocoder)
	Codec_SMV = "smv"

	// DPCM Sol
	Codec_SOL_DPCM = "sol_dpcm"

	// Sonic
	Codec_SONIC = "sonic"

	// Sonic lossless
	Codec_SONICLS = "sonicls"

	// Speex (decoders: libspeex ) (encoders: libspeex )
	Codec_SPEEX = "speex"

	// TAK (Tom's lossless Audio Kompressor)
	Codec_TAK = "tak"

	// TrueHD
	Codec_TRUEHD = "truehd"

	// DSP Group TrueSpeech
	Codec_TRUESPEECH = "truespeech"

	// TTA (True Audio)
	Codec_TTA = "tta"

	// VQF TwinVQ
	Codec_TWINVQ = "twinvq"

	// Sierra VMD audio
	Codec_VMDAUDIO = "vmdaudio"

	// Vorbis (decoders: vorbis libvorbis ) (encoders: vorbis libvorbis )
	Codec_VORBIS = "vorbis"

	// Wave synthesis pseudo-codec
	Codec_WAVESYNTH = "wavesynth"

	// WavPack (encoders: wavpack libwavpack )
	Codec_WAVPACK = "wavpack"

	// Westwood Audio (SND1) (decoders: ws_snd1 )
	Codec_WESTWOOD_SND1 = "westwood_snd1"

	// Windows Media Audio Lossless
	Codec_WMALOSSLESS = "wmalossless"

	// Windows Media Audio 9 Professional
	Codec_WMAPRO = "wmapro"

	// Windows Media Audio 1
	Codec_WMAV1 = "wmav1"

	// Windows Media Audio 2
	Codec_WMAV2 = "wmav2"

	// Windows Media Audio Voice
	Codec_WMAVOICE = "wmavoice"

	// DPCM Xan
	Codec_XAN_DPCM = "xan_dpcm"

	// Xbox Media Audio 1
	Codec_XMA1 = "xma1"

	// Xbox Media Audio 2
	Codec_XMA2 = "xma2"

	// binary data
	Codec_BIN_DATA = "bin_data"

	// DVD Nav packet
	Codec_DVD_NAV_PACKET = "dvd_nav_packet"

	// SMPTE 336M Key-Length-Value (KLV) metadata
	Codec_KLV = "klv"

	// OpenType font
	Codec_OTF = "otf"

	// SCTE 35 Message Queue
	Codec_SCTE_35 = "scte_35"

	// timed ID3 metadata
	Codec_TIMED_ID3 = "timed_id3"

	// TrueType font
	Codec_TTF = "ttf"

	// ASS (Advanced SSA) subtitle (decoders: ssa ass ) (encoders: ssa ass )
	Codec_ASS = "ass"

	// DVB subtitles (decoders: dvbsub ) (encoders: dvbsub )
	Codec_DVB_SUBTITLE = "dvb_subtitle"

	// DVB teletext
	Codec_DVB_TELETEXT = "dvb_teletext"

	// DVD subtitles (decoders: dvdsub ) (encoders: dvdsub )
	Codec_DVD_SUBTITLE = "dvd_subtitle"

	// EIA-608 closed captions (decoders: cc_dec )
	Codec_EIA_608 = "eia_608"

	// HDMV Presentation Graphic Stream subtitles (decoders: pgssub )
	Codec_HDMV_PGS_SUBTITLE = "hdmv_pgs_subtitle"

	// HDMV Text subtitle
	Codec_HDMV_TEXT_SUBTITLE = "hdmv_text_subtitle"

	// JACOsub subtitle
	Codec_JACOSUB = "jacosub"

	// MicroDVD subtitle
	Codec_MICRODVD = "microdvd"

	// MOV text
	Codec_MOV_TEXT = "mov_text"

	// MPL2 subtitle
	Codec_MPL2 = "mpl2"

	// PJS (Phoenix Japanimation Society) subtitle
	Codec_PJS = "pjs"

	// RealText subtitle
	Codec_REALTEXT = "realtext"

	// SAMI subtitle
	Codec_SAMI = "sami"

	// SubRip subtitle with embedded timing
	Codec_SRT = "srt"

	// SSA (SubStation Alpha) subtitle
	Codec_SSA = "ssa"

	// Spruce subtitle format
	Codec_STL = "stl"

	// SubRip subtitle (decoders: srt subrip ) (encoders: srt subrip )
	Codec_SUBRIP = "subrip"

	// SubViewer subtitle
	Codec_SUBVIEWER = "subviewer"

	// SubViewer v1 subtitle
	Codec_SUBVIEWER1 = "subviewer1"

	// raw UTF-8 text
	Codec_TEXT = "text"

	// VPlayer subtitle
	Codec_VPLAYER = "vplayer"

	// WebVTT subtitle
	Codec_WEBVTT = "webvtt"

	// XSUB
	Codec_XSUB = "xsub"
)
